Bug 1236562 - yum install pyfits: Transaction check error
Summary: yum install pyfits: Transaction check error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyfits
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-29 12:46 UTC by orcolat
Modified: 2015-07-13 19:09 UTC (History)
1 user (show)

Fixed In Version: pyfits-3.3-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 19:09:21 UTC


Attachments (Terms of Use)

Description orcolat 2015-06-29 12:46:18 UTC
Description of problem:
When trying to install pyfits (3.3-4) I get the following error at transaction check:

Error: Transaction check error:
  file /usr/bin/fitscheck from install of pyfits-tools-3.3-4.fc22.noarch conflicts with file from package astropy-tools-1.0-1.fc22.noarch
  file /usr/bin/fitsdiff from install of pyfits-tools-3.3-4.fc22.noarch conflicts with file from package astropy-tools-1.0-1.fc22.noarch

Version-Release number of selected component (if applicable):
pyfits-3.3-4.fc22

How reproducible:

Simply try yum install pyfits on a system with astropy-tools in it.
If you remove astropy-tools (1.0-1) then you succeed install pyfits but after that astropy won't install anymore.

Also, removing astropy-tools cleaned (for me at least) kernel 3.19.3-200

Regards,
     Marco

Comment 1 Sergio Pascual 2015-06-29 13:57:27 UTC
Thanks for the report. I will try to fix this ASAP

Comment 2 Fedora Update System 2015-06-30 10:58:30 UTC
pyfits-3.3-6.fc22,python-astropy-1.0.3-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pyfits-3.3-6.fc22,python-astropy-1.0.3-3.fc22

Comment 3 Fedora Update System 2015-06-30 20:11:54 UTC
Package pyfits-3.3-6.fc22, python-astropy-1.0.3-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyfits-3.3-6.fc22 python-astropy-1.0.3-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10938/pyfits-3.3-6.fc22,python-astropy-1.0.3-3.fc22
then log in and leave karma (feedback).

Comment 4 orcolat 2015-07-01 06:25:18 UTC
I tested the fixing, it works nicely!

Minor thing: yum update on pyfits couldn't work since it wasn't installed due to the issue :), but the workaround to the automatically provided command for update was trivial.

Thank you!

Marco

Comment 5 Fedora Update System 2015-07-13 19:09:21 UTC
pyfits-3.3-6.fc22, python-astropy-1.0.3-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.